Bug 461627 - Opening language list could be simpler
Opening language list could be simpler
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 464858
  Show dependency treegraph
 
Reported: 2008-09-09 11:43 EDT by Lauri Nurmi
Modified: 2011-06-21 11:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lauri Nurmi 2008-09-09 11:43:59 EDT
Description of problem:
When I boot with the F10 alpha Live CD, GDM allows me to select language through the drop-down menu at the bottom of the screen.  Well, almost...

The language drop-down menu has two options; "English (United States)", and "Other...".  Now, since the default locale for the Live CD is already en_US, I  never want to pick that option.  In all use case scenarios with only those two options, the user will have to select "Other...".  And basically the user will have to know or guess what "Other" means.  (Over 40% of e.g. EU citizens do not speak English at all.)


Steps to Reproduce:
1. Boot the Live CD


Additional info:
I see two possible solutions:
1) Change the drop-down menu into a button, which opens the full list of languages with one click.
2) Leave the drop-down as it is, but automatically open the full list of languages at startup.  Make English (US) the active selection, so only one keystroke or mouse click is needed to accept it.

I like number 2) more.

And again, things suggested here probably only make sense with a Live CD.
Comment 1 Matthias Clasen 2008-09-10 01:56:56 EDT
I think I could agree to the argument that it would be better to open the full popup directly (but note that that is slow, and we seem to have lost the busy cursor there again), if the user has no "shortlist" to pick from.
Comment 2 Jens Petersen 2009-06-12 00:04:16 EDT
I think it would make sense to have a configuration to allow certain more commonly used languages shown by default in the menu initially?

At least currently the full menu is a bit unwieldly and hard to find langs for newer users.
Comment 3 Fedora Admin XMLRPC Client 2011-06-21 11:29:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-06-21 11:31:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-06-21 11:34:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-06-21 11:37:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-06-21 11:43:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-06-21 11:47:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-06-21 11:49:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-06-21 11:51:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-06-21 11:52:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.